grk::T1Factory Class Reference

`#include <T1Factory.h>`

## Static Public Member Functions

static T1Interface * | makeT1 (bool isCompressor, TileCodingParams *tcp, uint32_t maxCblkW, uint32_t maxCblkH)
static Quantizer * | makeQuantizer (bool ht, bool reversible, uint8_t guardBits)

## Member Function Documentation

## makeQuantizer()

Quantizer * grk::T1Factory::makeQuantizer | ( | bool | ht,
|  | bool | reversible,
|  | uint8_t | guardBits
| ) |  |

static

References grk::grk_read().

Referenced by grk::TileCodingParams::setIsHT().

## makeT1()

T1Interface * grk::T1Factory::makeT1 | ( | bool | isCompressor,
|  | TileCodingParams * | tcp,
|  | uint32_t | maxCblkW,
|  | uint32_t | maxCblkH
| ) |  |

static

References grk::grk_read().

Referenced by grk::CompressScheduler::scheduleBlocks(), and grk::DecompressScheduler::scheduleBlocks().

The documentation for this class was generated from the following files:

- T1Factory.h
- T1Factory.cpp